import { BrsType } from "..";
import { BrsValue, ValueKind, BrsBoolean, BrsInvalid } from "../BrsType";
import { BrsComponent } from "./BrsComponent";
import { BrsList } from "../interfaces/IfList";
export declare class RoList extends BrsComponent implements BrsValue, BrsList {
    readonly kind = ValueKind.Object;
    readonly resizable: boolean;
    maxSize: number;
    elements: BrsType[];
    listIndex: number;
    enumIndex: number;
    constructor(elements?: BrsType[]);
    toString(parent?: BrsType): string;
    equalTo(_other: BrsType): BrsBoolean;
    getValue(): BrsType[];
    getElements(): BrsType[];
    get(index: BrsType): BrsType;
    set(index: BrsType, value: BrsType): BrsInvalid;
    hasNext(): BrsBoolean;
    getNext(): BrsType;
    resetNext(): void;
    updateNext(): void;
    add(element: BrsType, onTail?: boolean): void;
    remove(index: number): BrsType | undefined;
    clear(): void;
    getCurrent(): BrsType;
    resetCurrent(): boolean;
    length(): number;
    tail(): number;
    dispose(): void;
    addChildRef(value: BrsType | undefined): void;
    removeChildRef(value: BrsType | undefined): void;
}
